RuntimeResourceManager (Resource Management Library 2.5.0-SNAPSHOT API)
Date: 2015-11-20

org.gcube.resourcemanagement.support.server.managers.resources

## Class RuntimeResourceManager

- java.lang.Object
- - org.gcube.resourcemanagement.support.server.managers.resources.AbstractResourceManager
  - - org.gcube.resourcemanagement.support.server.managers.resources.RuntimeResourceManager

-     public class RuntimeResourceManager
      extends AbstractResourceManager

  Author:
    Massimiliano Assante (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeResourceManager()` Deprecated. discouraged use. With no ID some operations cannot be accessed.
    `RuntimeResourceManager(String id)`
    `RuntimeResourceManager(String id, String name)`
    `RuntimeResourceManager(String id, String name, String subType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.gcube.common.resources.gcore.Resource` | `buildResource(String xmlRepresentation)` Given the XML profile representation of a gcube resource, its GCUBEResource is built.
    `String` | `checkDeployStatus(org.gcube.common.scope.impl.ScopeBean scope, String deployID)`

    - ### Methods inherited from class org.gcube.resourcemanagement.support.server.managers.resources.AbstractResourceManager

      `addToExistingScope, copyFromToVO, delete, forceDelete, getID, getName, getRegistryPublisher, getReportResourceManager, getResource, getResourceManager, getSubType, getType, getXMLDescription, removeFromScope, setID, validateScopes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeResourceManager

          public RuntimeResourceManager()
                                 throws ResourceParameterException,
                                        ResourceAccessException

      Deprecated. discouraged use. With no ID some operations cannot be accessed.
      Throws:
        `ResourceParameterException`
        `ResourceAccessException`

    - #### RuntimeResourceManager

          public RuntimeResourceManager(String id)
                                 throws ResourceParameterException,
                                        ResourceAccessException

      Throws:
        `ResourceParameterException`
        `ResourceAccessException`

    - #### RuntimeResourceManager

          public RuntimeResourceManager(String id,
                                String name)
                                 throws ResourceParameterException,
                                        ResourceAccessException

      Throws:
        `ResourceParameterException`
        `ResourceAccessException`

    - #### RuntimeResourceManager

          public RuntimeResourceManager(String id,
                                String name,
                                String subType)
                                 throws ResourceParameterException,
                                        ResourceAccessException

      Throws:
        `ResourceParameterException`
        `ResourceAccessException`

  - ### Method Detail

    - #### checkDeployStatus

          public final String checkDeployStatus(org.gcube.common.scope.impl.ScopeBean scope,
                                 String deployID)
                                         throws AbstractResourceException

      Throws:
        `AbstractResourceException`

    - #### buildResource

          protected final org.gcube.common.resources.gcore.Resource buildResource(String xmlRepresentation)
                                                                           throws AbstractResourceException

      Description copied from class: `AbstractResourceManager`
      Given the XML profile representation of a gcube resource, its GCUBEResource is built. Since it depends on the type of the resource, each concrete implementation of resource managers must implement it.
      Specified by:
        `buildResource` in class `AbstractResourceManager`
      Returns:
      Throws:
        `AbstractResourceException`

Copyright © 2015. All Rights Reserved.